public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] proj/hardened-dev:uclibc commit in: dev-libs/icu/
@ 2013-04-06 15:07 Anthony G. Basile
  0 siblings, 0 replies; only message in thread
From: Anthony G. Basile @ 2013-04-06 15:07 UTC (permalink / raw
  To: gentoo-commits

commit:     231cd4840dcc99ec39e7e118d2c3467407376690
Author:     Anthony G. Basile <blueness <AT> gentoo <DOT> org>
AuthorDate: Sat Apr  6 15:06:52 2013 +0000
Commit:     Anthony G. Basile <blueness <AT> gentoo <DOT> org>
CommitDate: Sat Apr  6 15:06:52 2013 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=proj/hardened-dev.git;a=commit;h=231cd484

dev-libs/icu: testing 51.1 for bug #436364

Package-Manager: portage-2.1.11.55
Manifest-Sign-Key: 0xF52D4BBA

---
 dev-libs/icu/icu-51.1.ebuild |  118 ++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 118 insertions(+), 0 deletions(-)

diff --git a/dev-libs/icu/icu-51.1.ebuild b/dev-libs/icu/icu-51.1.ebuild
new file mode 100644
index 0000000..13ec208
--- /dev/null
+++ b/dev-libs/icu/icu-51.1.ebuild
@@ -0,0 +1,118 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/dev-libs/icu/icu-50.1-r2.ebuild,v 1.6 2013/03/06 21:41:31 scarabeus Exp $
+
+EAPI=5
+
+inherit eutils toolchain-funcs base autotools
+
+DESCRIPTION="International Components for Unicode"
+HOMEPAGE="http://www.icu-project.org/"
+SRC_URI="http://download.icu-project.org/files/icu4c/${PV/_/}/icu4c-${PV//./_}-src.tgz"
+
+LICENSE="BSD"
+SLOT="0/50.1"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 -amd64-fbsd -x86-fbsd"
+IUSE="debug doc examples static-libs"
+
+DEPEND="
+	doc? (
+		app-doc/doxygen[dot]
+	)
+"
+
+S="${WORKDIR}/${PN}/source"
+
+PATCHES=(
+	"${FILESDIR}/${PN}-4.8.1-fix_binformat_fonts.patch"
+	"${FILESDIR}/${PN}-4.8.1.1-fix_ltr.patch"
+)
+
+src_prepare() {
+	local variable
+
+	base_src_prepare
+
+	# Do not hardcode flags in icu-config and icu-*.pc files.
+	# https://ssl.icu-project.org/trac/ticket/6102
+	for variable in CFLAGS CPPFLAGS CXXFLAGS FFLAGS LDFLAGS; do
+		sed \
+			-e "/^${variable} =.*/s: *@${variable}@\( *$\)\?::" \
+			-i config/icu.pc.in \
+			-i config/Makefile.inc.in \
+			|| die
+	done
+
+	# Disable renaming as it is stupind thing to do
+	sed -i \
+		-e "s/#define U_DISABLE_RENAMING 0/#define U_DISABLE_RENAMING 1/" \
+		common/unicode/uconfig.h || die
+
+	# Fix linking of icudata
+	sed -i \
+		-e "s:LDFLAGSICUDT=-nodefaultlibs -nostdlib:LDFLAGSICUDT=:" \
+		config/mh-linux || die
+
+	# Append doxygen configuration to configure
+	sed -i \
+		-e 's:icudefs.mk:icudefs.mk Doxyfile:' \
+		configure.in || die
+	eautoreconf
+}
+
+src_configure() {
+	local cross_opts
+
+	# bootstrap for cross compilation
+	if tc-is-cross-compiler; then
+		CFLAGS="" CXXFLAGS="" ASFLAGS="" LDFLAGS="" \
+		CC="$(tc-getBUILD_CC)" CXX="$(tc-getBUILD_CXX)" AR="$(tc-getBUILD_AR)" \
+		RANLIB="$(tc-getBUILD_RANLIB)" LD="$(tc-getBUILD_LD)" \
+		./configure --disable-renaming --disable-debug \
+			--disable-samples --enable-static || die
+		emake
+		mkdir -p "${WORKDIR}/host/"
+		cp -a {bin,lib,config,tools} "${WORKDIR}/host/"
+		emake clean
+
+		cross_opts="--with-cross-build=${WORKDIR}/host"
+	fi
+
+	econf \
+		--disable-renaming \
+		$(use_enable debug) \
+		$(use_enable examples samples) \
+		$(use_enable static-libs static) \
+		${cross_opts}
+}
+
+src_compile() {
+	default
+
+	if use doc; then
+		doxygen -u Doxyfile || die
+		doxygen Doxyfile || die
+	fi
+}
+
+src_test() {
+	# INTLTEST_OPTS: intltest options
+	#   -e: Exhaustive testing
+	#   -l: Reporting of memory leaks
+	#   -v: Increased verbosity
+	# IOTEST_OPTS: iotest options
+	#   -e: Exhaustive testing
+	#   -v: Increased verbosity
+	# CINTLTST_OPTS: cintltst options
+	#   -e: Exhaustive testing
+	#   -v: Increased verbosity
+	emake -j1 VERBOSE="1" check
+}
+
+src_install() {
+	default
+
+	dohtml ../readme.html
+
+	use doc && dohtml -p api -r doc/html/
+}


^ permalink raw reply related	[flat|nested] only message in thread

only message in thread, other threads:[~2013-04-06 15:07 UTC | newest]

Thread overview: (only message) (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2013-04-06 15:07 [gentoo-commits] proj/hardened-dev:uclibc commit in: dev-libs/icu/ Anthony G. Basile

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox